## AgsFxBufferAudio

AgsFxBufferAudio — fx buffer audio

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_FX_BUFFER_AUDIO_SCOPE_DATA()
#define | AGS_FX_BUFFER_AUDIO_SCOPE_DATA_GET_STRCT_MUTEX()
AgsFxBufferAudioScopeData * | ags_fx_buffer_audio_scope_data_alloc ()
void | ags_fx_buffer_audio_scope_data_free ()
AgsFxBufferAudio * | ags_fx_buffer_audio_new ()

## Types and Values

struct | AgsFxBufferAudioScopeData

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallAudio
                ╰── AgsFxBufferAudio

## Includes

    #include <ags/audio/fx/ags_fx_buffer_audio.h>

## Description

The AgsFxBufferAudio class provides ports to the effect processor.

## Functions

### AGS_FX_BUFFER_AUDIO_SCOPE_DATA()

    #define AGS_FX_BUFFER_AUDIO_SCOPE_DATA(ptr) ((AgsFxBufferAudioScopeData *) (ptr))

### AGS_FX_BUFFER_AUDIO_SCOPE_DATA_GET_STRCT_MUTEX()

    #define AGS_FX_BUFFER_AUDIO_SCOPE_DATA_GET_STRCT_MUTEX(ptr) (&(((AgsFxBufferAudioScopeData *)(ptr))->strct_mutex))

### ags_fx_buffer_audio_scope_data_alloc ()

    AgsFxBufferAudioScopeData *
    ags_fx_buffer_audio_scope_data_alloc ();

Allocate AgsFxBufferAudioScopeData

#### Returns

the new AgsFxBufferAudioScopeData.

[type gpointer][transfer full]

Since: 8.1.2

### ags_fx_buffer_audio_scope_data_free ()

    void
    ags_fx_buffer_audio_scope_data_free (AgsFxBufferAudioScopeData *scope_data);

Free `scope_data` .

#### Parameters

scope_data | the AgsFxBufferAudioScopeData. | [type gpointer][transfer full]

Since: 8.1.2

### ags_fx_buffer_audio_new ()

    AgsFxBufferAudio *
    ags_fx_buffer_audio_new (AgsAudio *audio);

Create a new instance of AgsFxBufferAudio

#### Parameters

audio | the AgsAudio |

#### Returns

the new AgsFxBufferAudio

Since: 3.3.0

## Types and Values

### struct AgsFxBufferAudioScopeData

    struct AgsFxBufferAudioScopeData {
      GRecMutex strct_mutex;

      gpointer parent;

      GHashTable *destination;
      GHashTable *resample_cache;
    };